<?php

class Database
{
    public static $conn = null;

    public static function getConnection()
    {

        if(Database::$conn == null) {

            $server_name = get_config('db_server');
            $database_username = get_config('db_username');
            $database_password = get_config('db_password');
            $database_name = get_config("db_name");

            $connection = new mysqli($server_name, $database_username, $database_password, $database_name);

            if($connection->connect_error) {
                die("Connection Failed! - ".$conn->connect_error); // TODO: Replace with this exception handling
            } else {
                Database::$conn = $connection;
                return Database::$conn;
            }

        } else {
            return Database::$conn;
        }

    }
}
