<?php

require_once 'Database.class.php';

class User
{
    private $conn;
    // private static $salt = "mk7yfghrnsu";

    public function __call($name, $arguments)
    {

        $property = preg_replace("/[^0-9a-zA-Z]/", "", substr($name, 3));
        $property = strtolower(preg_replace('/\B([A-Z])/', '_$1', $property));

        if(substr($name, 0, 3) == "set") {
            return $this->_set_data($property, $arguments[0]);
        } elseif(substr($name, 0, 3) == "get") {
            return $this->_get_data($property);
        } else {
            throw new Exception("User::__call ---> [*] $name Function Unavailable!");
        }
    }

    public static function signup($username, $password, $email_address, $phone_number)
    {
        // $password = md5(strrev(md5($password)).User::$salt);  // security through obscurity
        $option = [
            'cost' => 9,
        ];
        $password = password_hash($password, PASSWORD_BCRYPT, $option);
        $conn = Database::getConnection();
        $sql = "INSERT INTO 'auth' ('username', 'password', 'email_address', 'phone_number') VALUES ('$username', '$password', '$email_address', '$phone_number');";
        $error = false;

        if ($conn->query($sql) === true) {
            $error = false;
        } else {
            $error = $conn->error;
        }
        // $conn->close();
        return $error;
    }

    public static function login($username, $password)
    {
        // $password = md5(strrev(md5($password)).User::$salt);
        $conn = Database::getConnection();
        $sql = "SELECT * FROM `auth` WHERE `username` = '$username'";
        $result = $conn->query($sql);
        if($result->num_rows == 1) {
            $row = $result->fetch_assoc();
            // if($row['password'] == $password) {
            if(password_verify($password, $row['password'])) {
                /*
                1.Generate Session Token
                2.Insert Session Token
                3.Buid Session and give Session to User
                */
                // return $row;
                return $row['username'];
            } else {
                return false;
            }
        } else {
            return false;
        }
        // $conn->close();
    }

    // User Object can be Constructed with both UserID and Username.
    public function __construct($username)
    {
        // TODO: Write the code to fetch user data from Database for the given username.If username is not present ,throwException.
        $this->conn = Database::getConnection();
        $this->username = $username;
        $sql = "SELECT `id` FROM `auth` WHERE `username` = '$username' or `id` = '$username' LIMIT 1;";
        $result = $this->conn->query($sql);
        if($result->num_rows == 1) {
            $row = $result->fetch_assoc();
            $this->id = $row['id']; // update this from database.
        } else {
            throw new Exception("Username Doesn't Exist");
        }
        // $this->id = null;
    }

    // this function helps to set data in database.
    private function _set_data($var, $data)
    {
        if(!$this->conn) {
            $this->conn = Database::getConnection();
        }
        $sql = "UPDATE `users` SET `$var` = '$data' WHERE `id` = $this->id;";
        if($this->conn->query($sql)) {
            return true;
        } else {
            return null;
        }
    }

    // this function helps to retrieve data from database.
    private function _get_data($var)
    {
        if (!$this->conn) {
            $this->conn = Database::getConnection();
        }
        $sql = "SELECT `$var` FROM `users` WHERE `id` = $this->id;";
        $result = $this->conn->query($sql);
        if ($result->num_rows == 1) {
            return $result->fetch_assoc()["$var"];
        } else {
            return null;
        }
    }


    public function setDob($year, $month, $date)
    {
        if(checkdate($year, $month, $date)) { //checking data is valid
            return $this->_set_data('dob', "$year.$month.$date");
        } else {
            return false;
        }
    }

    public function getUsername()
    {
        return $this->username;
    }

    public function authenticate()
    {

    }

    // public function setBio($bio)
    // {
    //     // TODO: Write UPDATE Command to change new bio.
    //     return $this->_set_data('bio', $bio);
    // }

    // public function getBio()
    // {
    //     // TODO: Write SELECT command to get the bio.
    //     return $this->_get_data('bio');
    // }

    // public function setAvatar($link)
    // {
    //     return $this->_set_data('avatar', $link);
    // }

    // public function getAvatar()
    // {
    //     return $this->_get_data('avatar');
    // }

    // public function setFirstname($name)
    // {
    //     return $this->_set_data('firstname', $name);
    // }

    // public function getFirstname()
    // {
    //     return $this->_get_data('firstname');
    // }

    // public function setLastname($name)
    // {
    //     return $this->_set_data('lastname', $name);
    // }

    // public function getLastname()
    // {
    //     return $this->_get_data('lastname');
    // }

    // public function getDob()
    // {
    //     return $this->_get_data('dob');
    // }

    // public function setInstagramlink($link)
    // {
    //     return $this->_set_data('instagram', $link);
    // }

    // public function getInstagramlink()
    // {
    //     return $this->_get_data('instagram');
    // }

    // public function setTwitterLink($link)
    // {
    //     return $this->_set_data('twitter', $link);
    // }

    // public function getTwitterLink()
    // {
    //     return $this->_get_data('twitter');
    // }

    // public function setFacebookLink($link)
    // {
    //     return $this->_set_data('facebook', $link);
    // }

    // public function getFacebookLink()
    // {
    //     return $this->_get_data('facebook');
    // }

}
