<?php

class UserSession
{
    /*
    This Function will return a SessionID if Username and Password is correct.
    return SessionID
    */
    public static function authenticate($username, $password)
    {
        $user_name = User::login($username, $password);
        $user = new User($username);
        if($user_name) {
            $conn = Database::getConnection();
            $ip = $_SERVER['REMOTE_ADDR'];
            $user_agent = $_SERVER['HTTP_USER_AGENT'];
            $token = rand(0, 9999999).$ip.$user_agent.time();
            $sql = "INSERT INTO `session` (`uid`, `token`, `login_time`, `ip`, `user_agent`, `active`)
            VALUES ('$user->id', $token, now(), '$ip', '$user_agent', '1');";
            if($conn->query($sql)) {
                Session::set('session_token', $token);
                return $token;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

    public static function authorize($token)
    {
        $session = new UserSession($token);
    }

    public function __construct($id)
    {
        $this->conn = Database::getConnection();
        $this->id = $id;
        $this->data = null;
        $sql = "SELECT * FROM `session` WHERE `id` = $id LIMIT 1;";
        $result = $this->conn->query($sql);
        if($result->num_rows == 1) {
            $row = $result->fetch_assoc();
            $this->data = $row;
            $this->uid = $row['uid']; // update this from database.
        } else {
            throw new Exception("Session is invalid.");
        }
        // $this->id = null;
    }

    public function getUser()
    {
        return new User($this->uid);
    }

    /*
    Check if the Validity of the Session is within one hour,else it inactive.
    */

    public function isValid()
    {

    }

    public function getIp()
    {
        return $_SERVER['REMOTE_ADDR'];
    }

    public function getUserAgent()
    {
        return $_SERVER['HTTP_USER_AGENT'];
    }

    public function deactivate()
    {

    }
}
