<?php

include_once 'includes/Mic.class.php';
include_once 'includes/Database.class.php';
include_once 'includes/User.class.php';
include_once 'includes/Session.class.php';
include_once 'includes/UserSession.class.php';

global $__site_config;
global $__base_path;

// Note: Change this pathif yiu run this code outside lab.
// $__site_config = file_get_contents($_SERVER['DOCUMENT_ROOT'].'/../photogramconfig.json');

$__site_config_path = dirname(is_link($_SERVER['DOCUMENT_ROOT']) ? readlink($_SERVER['DOCUMENT_ROOT']) : $_SERVER['DOCUMENT_ROOT']).'/photogramconfig.json';
$__site_config = file_get_contents($__site_config_path);

Session::start();

/*
Note : Location of Configuration
In Lab : /home/user/photogramconfig.json
In Server : /var/www/photogramconfig.json
*/

if(!$__site_config) {
    die("Unable to Read this Configuration");
}

function get_config($key, $default = null)
{
    global$__site_config;
    $array = json_decode($__site_config, true);
    if(isset($array[$key])) {
        return $array[$key];
    } else {
        return $default;
    }
}

function load_template($name)
{
    // include $_SERVER['DOCUMENT_ROOT']."/photogram/_templates/$name.php";
    include $_SERVER['DOCUMENT_ROOT'].get_config('base_path')."_templates/$name.php";
    // include __DIR__."/../__templates/$name.php"; Not Consistant
}

function validate_credentials($username, $password)
{
    if($username == "fooboo" and $password == "testingfooboo") {
        echo "Login Success!";
    } else {
        echo "Login Failed!";
    }
}
