<?php

include 'libs/load.php';

$username = "karthikeyan";
$password = isset($_GET['pass']) ? $_GET['pass'] : "";
$result = null;

Session::start();

if(isset($_GET['logout'])) {
    Session::destroy();
    die("Session destroyed,<a href='logintest.php'>Login again</a>");
}

/*
1.Check if Session_Token is Available.
2.If yes,Construct UserSession and see if its Successful.
3.Check if the Session is Valid One.
4.If valid,Print "Session Validated!"
5.Else,Print "Invalid Session" and ask User to Login.
*/

if(Session::get('is_loggedin')) {
    $user_name = Session::get('session_username');
    $user_object = new User($user_name);
    // print("Welcome Back,$user_name[user_name]");
    print("Welcome Back! ".$user_object->getUsername()."<br>");
    print("User-FirstName : ".$user_object->getFirstname()."<br>");
    print("User-LastName : ".$user_object->getLastname()."<br>");
    print("User-getBio : ".$user_object->getBio()."<br>");
    $user_object->setBio("A Good Education is a Better Future!");
    print("User-setBio : ".$user_object->getBio()."<br>");
} else {
    printf("No Session found,trying to login now.<br>");
    $result = User::login($username, $password);
    if($result) {
        $user_object = new User($username);
        // echo "Login Success! $result[user_name]";
        echo "Login Success!".$user_object->getUsername();
        Session::set('is_loggedin', true);
        Session::set('session_username', $result);
    } else {
        echo "Login Failed! ".$username."<br>";
    }
}
echo <<<EOL
<br><br><a href="logintest.php?logout">Logout</a>
EOL;
